Collections

Create collection

Create a new collection.

post
https://{your-bynder-domain}/api/v4/collections

Body

application/x-www-form-urlencoded
descriptionstring

Collection description

Example:Collection of featured assets

namestring

Collection name

Example:Featured collection

Response

application/json

Created

messagestring

Example:Created

statuscodeinteger

Example:201

post/api/v4/collections

Body

{}
 
application/json

Collections ID

Delete collection

Delete a specific collection by ID.

delete
https://{your-bynder-domain}/api/v4/collections/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Response

No Content

delete/api/v4/collections/{id}
 

Retrieve specific collection

Retrieve a specific collection by ID.

get
https://{your-bynder-domain}/api/v4/collections/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Response

application/json

A specific collection.

dateCreatedstring

Example:March, 01 2017 10:49:12 +0000

descriptionstring

Example:Collection 1 with various assets.

linkstring

Example:___URL_TO_BYNDER_CDN___

namestring

Example:Collection 1

thumbnailstring

Example:___URL_TO_BYNDER_CDN___

userobject
Show Child Parameters
viewsinteger

Example:2

get/api/v4/collections/{id}
 
application/json

Modify collection

Modify a specific collection by ID.

post
https://{your-bynder-domain}/api/v4/collections/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
descriptionstring

Example:Collection of featured assets

isPublicboolean

Example:true

namestring

Example:Featured collection

thumbnailAssetIdstring

Example:00000000-0000-0000-0000000000000000

Response

application/json

Collection modified.

messagestring

Example:Created

statuscodeinteger

Example:201

post/api/v4/collections/{id}

Body

{}
 
application/json